import { Component, OnInit } from '@angular/core';
import {Commit} from "../commit";
import {CommitsService} from "../commits.service";

@Component({
  selector: 'app-commits',
  templateUrl: './commits.component.html',
  styleUrls: ['./commits.component.sass']
})
export class CommitsComponent implements OnInit {
  commits: Commit[] = [];
  constructor(private commitService: CommitsService) { }

  ngOnInit(): void {
    this.getCommits();
  }

  getCommits(): void {
    this.commitService.getCommits()
      .subscribe((commits) => {
        commits.forEach((value => {
          value.highlighted = /[0-9]$/.test(value.sha);
        }))
        this.commits = commits
      });
  }
}
