<?php

namespace App\Command;

use App\Service\GithubLoadingService;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

class LoadCommitsCommand extends Command
{
    // the name of the command (the part after "bin/console")
    protected static $defaultName = 'app:load-commits';

    /**
     * @var GithubLoadingService
     */
    private $service;

    /**
     * LoadCommitsCommand constructor.
     * @param ContainerInterface $container
     * @param GithubLoadingService $service
     */
    public function __construct(
        GithubLoadingService $service
    ) {
        $this->service = $service;
        parent::__construct();
    }

    protected function configure(): void
    {
        $this
            // the short description shown while running "php bin/console list"
            ->setDescription('Loads commits from github nodejs/node')

            // the full command description shown when running the command with
            // the "--help" option
            ->setHelp('This command loads commits from nodejs/node git repo')
        ;
    }

    protected function execute(InputInterface $input, OutputInterface $output): int
    {
        $number = $this->service->load('nodejs', 'node');

        $output->writeln([
            'number of commits loaded',
            $number,
        ]);
        return Command::SUCCESS;
    }
}
