<?php

namespace App\Controller\Api;

use App\Repository\AuthorRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * @Route("/api/author")
 */
class AuthorController extends AbstractController
{
    /**
     * @var AuthorRepository
     */
    private $repository;

    /**
     * AuthorController constructor.
     * @param AuthorRepository $repository
     */
    public function __construct(AuthorRepository $repository)
    {
        $this->repository = $repository;
    }
    /**
     * @Route("/", name="author_api_index", methods={"GET"})
     */
    public function index(): Response
    {
        $data = $this->repository->findAllAuthors();

        return new JsonResponse($data, 200);
    }
}
