<?php

namespace App\Controller\Api;

use App\Repository\CommitRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * @Route("/api/commit")
 */
class CommitController extends AbstractController
{
    /**
     * @var CommitRepository
     */
    private $repository;

    /**
     * CommitController constructor.
     * @param CommitRepository $repository
     */
    public function __construct(CommitRepository $repository)
    {
        $this->repository = $repository;
    }
    /**
     * @Route("/", name="commit_api_index", methods={"GET"})
     */
    public function index(): Response
    {
        $data = $this->repository->findAllCommits();

        return new JsonResponse($data, 200);
    }
}
