<?php

namespace App\Controller;

use App\Entity\Commit;
use App\Form\CommitType;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * @Route("/commit")
 */
class CommitController extends AbstractController
{
    /**
     * @Route("/", name="commit_index", methods={"GET"})
     */
    public function index(): Response
    {
        $commits = $this->getDoctrine()
            ->getRepository(Commit::class)
            ->findAll();

        return $this->render('commit/index.html.twig', [
            'commits' => $commits,
        ]);
    }

    /**
     * @Route("/{id}", name="commit_show", methods={"GET"})
     */
    public function show(Commit $commit): Response
    {
        return $this->render('commit/show.html.twig', [
            'commit' => $commit,
        ]);
    }
}
