<?php

namespace App\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Commit
 *
 * @ORM\Table(name="commit", indexes={@ORM\Index(name="author_id", columns={"author_id"})})
 * @ORM\Entity
 */
class Commit
{
    /**
     * @var int
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="platform", type="string", length=8, nullable=false)
     */
    private $platform;

    /**
     * @var string
     *
     * @ORM\Column(name="sha", type="string", length=40, nullable=false)
     */
    private $sha;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="commit_date", type="datetime", nullable=false)
     */
    private $commitDate;

    /**
     * @var string
     *
     * @ORM\Column(name="message", type="text", length=65535, nullable=false)
     */
    private $message;

    /**
     * @var string
     *
     * @ORM\Column(name="url", type="string", length=255, nullable=false)
     */
    private $url;

    /**
     * @var \Author
     *
     * @ORM\ManyToOne(targetEntity="Author")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="author_id", referencedColumnName="id")
     * })
     */
    private $author;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getPlatform(): ?string
    {
        return $this->platform;
    }

    public function setPlatform(string $platform): self
    {
        $this->platform = $platform;

        return $this;
    }

    public function getSha(): ?string
    {
        return $this->sha;
    }

    public function setSha(string $sha): self
    {
        $this->sha = $sha;

        return $this;
    }

    public function getCommitDate(): ?\DateTimeInterface
    {
        return $this->commitDate;
    }

    public function setCommitDate(\DateTimeInterface $commitDate): self
    {
        $this->commitDate = $commitDate;

        return $this;
    }

    public function getMessage(): ?string
    {
        return $this->message;
    }

    public function setMessage(string $message): self
    {
        $this->message = $message;

        return $this;
    }

    public function getUrl(): ?string
    {
        return $this->url;
    }

    public function setUrl(string $url): self
    {
        $this->url = $url;

        return $this;
    }

    public function getAuthor(): ?Author
    {
        return $this->author;
    }

    public function setAuthor(?Author $author): self
    {
        $this->author = $author;

        return $this;
    }

    public function toArray(): array
    {
        return [
            'id' => $this->id,
            'sha' => $this->sha,
            'message' => $this->message,
            'commitDate' => $this->commitDate->format('r')
        ];
    }
}
